%define name libdv
%define version 0.98
%define release 4mdk

%define major 2
%define libname %name%{major}


Name: %name
Version: %version
Release: %release
License: GPL
Group: Video
Source: %name-%version.tar.bz2
URL: http://libdv.sourceforge.net/
Patch: %name-mmxdetect-athlon.patch.bz2
BuildRoot: %_tmppath/%name-buildroot
Summary: DV software video codec
BuildRequires: libgtk+1.2-devel
BuildRequires: pkgconfig

%description 
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

%package -n %{libname}-apps
Summary: Binaries from libdv
Group: Video
 
%description -n %{libname}-apps
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.
  
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%package -n %{libname}
Summary: Libraries from libdv
Group: System/Libraries

%description -n %{libname}
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package -n %{libname}-devel
Summary: Devel files from libdv
Group: Development/Other
Requires: %{libname} >= %version
Provides: libdv-devel
 
%description -n %{libname}-devel
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.
  
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch -p1

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./bootstrap
fi

%configure2_5x --enable-shared

%make

%install

%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}-apps
%defattr(-,root,root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO COPYRIGHT
%_bindir/*
%_mandir/man1/*

%files -n %{libname}
%defattr (- ,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO COPYRIGHT
%_includedir/libdv
%_libdir/lib*.a
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/libdv.pc

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Wed Nov 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.98-4mdk
- BuildRequires

* Thu Nov 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.98-3mdk
- add missing man pages to apps package

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.98-2mdk
- add missing libdv.pc

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.98-1mdk
- buildrequires 
- fix a rpmlint warning
- major version 2
- autoconf 2.5 macro
- quiet tar
- 0.98

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- rename patch

* Sun Mar 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-3mdk
- patch0: fix mmx detection on athlon ( idea from Lison & Dave )

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-2mdk
- fix headers place

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- fix requires

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- move headers

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- new in contribs
- required for kino

